Loading...
Searching...
No Matches
Gfx::Particle Struct Reference

## Public Attributes

bool | used = false
bool | ray = false
unsigned short | uniqueStamp = 0
short | sheet = 0
ParticleType | type = {}
ParticlePhase | phase = {}
float | mass = 0.0f
float | weight = 0.0f
float | duration = 0.0f
Math::Vector | pos
Math::Vector | goal
Math::Vector | speed
float | windSensitivity = 0.0f
short | bounce = 0
Math::Point | dim
float | zoom = 0.0f
float | angle = 0.0f
float | intensity = 0.0f
Math::Point | texSup
Math::Point | texInf
float | time = 0.0f
float | phaseTime = 0.0f
float | testTime = 0.0f
CObject * | objLink = nullptr
CObject * | objFather = nullptr
short | objRank = 0
short | trackRank = 0
char | text = 0
Color | color = Color(1.0f, 1.0f, 1.0f, 1.0f)

The documentation for this struct was generated from the following file:

- src/graphics/engine/particle.h